package com.steerinfo.baseinfo.meterbasehistarecount.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbasehistarecount.model.MeterBaseHisTareCount;

import java.util.List;

/**
 * MeterBaseHisTareCount服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-06-28 09:33
 * 类描述
 * 修订历史：
 * 日期：2020-06-28
 * 作者：generator
 * 参考：
 * 描述：MeterBaseHisTareCount服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseHisTareCountService extends IBaseService<MeterBaseHisTareCount, String>{
     String checkandadd(MeterBaseHisTareCount model);

     String Recovery(MeterBaseHisTareCount model);

     String checkandupdate(String id,MeterBaseHisTareCount model);

     String abolish(MeterBaseHisTareCount model);

    List<MeterBaseHisTareCount> doQuerySpecWf(MeterBaseHisTareCount model);
}